package com.goldenwater.slaj.acci.service;

import java.util.List;
import com.goldenwater.slaj.acci.domain.BisAcciMont;

/**
 * 事故月报 服务层
 */
public interface IBisAcciMontService {

    /**
     * 查询事故月报信息
     * @param guid 查询条件
     * @return 事故月报信息
     */
    BisAcciMont selectBisAcciMontByGuid(String guid);

    /**
     * 查询事故月报列表
     * @param bisAcciMont 事故月报查询条件
     * @return 事故月报集合
     */
    List<BisAcciMont> selectBisAcciMontList(BisAcciMont bisAcciMont);

    /**
     * 新增事故月报
     * @param bisAcciMont 事故月报信息
     * @return 影响行数
     */
    int insertBisAcciMont(BisAcciMont bisAcciMont);

    /**
     * 修改事故月报
     * @param bisAcciMont 事故月报信息
     * @return 影响行数
     */
    int updateBisAcciMont(BisAcciMont bisAcciMont);

    /**
     * 删除事故月报
     * @param guid 事故月报主键
     * @return 影响行数
     */
    int deleteBisAcciMontByGuid(String guid);

    /**
     * 批量删除事故月报
     * @param guids 事故月报主键数组
     * @return 影响行数
     */
    int deleteBisAcciMontByGuids(String[] guids);
}
